#
# Conditional build:
%bcond_without	apidocs		# do not build and package API docs
#
Summary:	Handler library for evdev events
Summary(pl.UTF-8):	Biblioteka obsługująca zdarzenia evdev
Name:		libevdev
Version:	1.3.1
Release:	1
License:	MIT
Group:		Libraries
Source0:	http://www.freedesktop.org/software/libevdev/%{name}-%{version}.tar.xz
# Source0-md5:	c47d49e16c6f7d2eb45164a58895aecb
URL:		http://www.freedesktop.org/wiki/Software/libevdev/
BuildRequires:	check-devel >= 0.9.9
%{?with_apidocs:BuildRequires:	doxygen}
BuildRequires:	pkgconfig
BuildRequires:	python >= 1:2.6
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Handler library for evdev events.

%description -l pl.UTF-8
Biblioteka obsługująca zdarzenia evdev.

%package devel
Summary:	Header files for libevdev library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki libevdev
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for libevdev library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki libevdev.

%package static
Summary:	Static libevdev library
Summary(pl.UTF-8):	Statyczna biblioteka libevdev
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libevdev library.

%description static -l pl.UTF-8
Statyczna biblioteka libevdev.

%package apidocs
Summary:	libevdev API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki libevdev
Group:		Documentation

%description apidocs
API documentation for libevdev library.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki libevdev.

%prep
%setup -q

%{__rm} -r doc/html

%build
%configure \
	--disable-silent-rules

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

# obsoleted by pkg-config, no external dependencies
%{__rm} $RPM_BUILD_ROOT%{_libdir}/libevdev.la

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYING
%attr(755,root,root) %{_bindir}/touchpad-edge-detector
%attr(755,root,root) %{_libdir}/libevdev.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libevdev.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libevdev.so
%{_includedir}/libevdev-1.0
%{_pkgconfigdir}/libevdev.pc
%{_mandir}/man3/libevdev.3*

%files static
%defattr(644,root,root,755)
%{_libdir}/libevdev.a

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%doc doc/html/{*.css,*.html,*.js,*.png,search}
%endif
%changelog
* Sun Nov 16 2014 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/libevdev.git;a=log;h=master

* Sun Nov 16 2014 Jakub Bogusz <qboosh@pld-linux.org> c3e225a
- updated to 1.3.1

* Thu Sep 18 2014 Jakub Bogusz <qboosh@pld-linux.org> efac58c
- updated to 1.3

* Thu Jun 05 2014 Jakub Bogusz <qboosh@pld-linux.org> 82b8395
- updated to 1.2.2

* Thu May 15 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> cf0f739
- up to 1.2.1

* Tue May 13 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 6ef845b
- up to 1.2

* Mon Mar 31 2014 Jakub Bogusz <qboosh@pld-linux.org> 4c2b7e8
- updated to 1.1

* Sun Mar 09 2014 Jakub Bogusz <qboosh@pld-linux.org> fac85e5
- updated to 1.0.1

* Mon Mar 03 2014 Jakub Bogusz <qboosh@pld-linux.org> 8b6047e
- updated to 1.0 (note: new soname)

* Sun Nov 24 2013 Jakub Bogusz <qboosh@pld-linux.org> 499a5e1
- updated to 0.5

* Sun Nov 03 2013 Jakub Bogusz <qboosh@pld-linux.org> 01cfedc
- updated to 0.4.1

* Sun Sep 29 2013 Jakub Bogusz <qboosh@pld-linux.org> b1fcbbe
- new

